subordinate config data is being dropped for nova.conf

Bug #1478061 reported by Ryan Beisner on 2015-07-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nova-compute (Juju Charms Collection)
Critical
Liam Young

Bug Description

Amulet test for ceilometer-agent indicates that the ceilometer-agent subordinate config data is being dropped on the way to nova.conf:
09:49:42 ceilometer config error: section [DEFAULT] is missing option instance_usage_audit

FYI, ceilometer-agent amulet tests were passing @ nova-compute rev141.

Likely cause:
http://bazaar.launchpad.net/~openstack-charmers/charms/trusty/nova-compute/next/revision/145

Related branches

Ryan Beisner (1chb1n) on 2015-07-24
summary: - ceilometer subordinate config data is being dropped for nova.conf
+ subordinate config data is being dropped for nova.conf
James Page (james-page) on 2015-07-24
Changed in nova-compute (Juju Charms Collection):
milestone: none → 15.07
importance: Undecided → Critical
status: New → Triaged
Liam Young (gnuoy) on 2015-07-27
Changed in nova-compute (Juju Charms Collection):
assignee: nobody → Liam Young (gnuoy)
Ryan Beisner (1chb1n) wrote :

# Deploy
Confirmed successful in a full deploy from next, that the ceilometer-agent subordinate data now survives it's journey to nova-compute's nova.conf (audit and notification options):
...
live_migration_uri = qemu+ssh://%s/system
instance_usage_audit = True
instance_usage_audit_period = hour
notify_on_state_change = vm_and_task_state
notification_driver = ceilometer.compute.nova_notifier
notification_driver = nova.openstack.common.notifier.rpc_notifier
...
Private CI job and log artifacts link:
http://10.245.162.77:8080/view/Dashboards/view/OpenStack%20Deploy/job/deploy_with_deployer/10198/artifact/logs/

# Amulet
Also, the ceilometer amulet test is passing again. Awaiting ceilometer-agent amulet test results, but I anticipate no issue there, as it actually does the same functional check against the same conf file.
Results @:
http://paste.ubuntu.com/11963852/
  or
http://10.245.162.77:8080/view/Dashboards/view/Amulet/job/charm_amulet_test/5482/artifact/

NOTE: also awaiting nova-compute amulet test results...

Ryan Beisner (1chb1n) wrote :

FYI: ceilometer-agent amulet tests are back to passing now \o/

Ryan Beisner (1chb1n) wrote :

More FYI: nova-compute amulet tests are ok (though I didn't wait for the git-tests).

Changed in nova-compute (Juju Charms Collection):
status: Triaged → Fix Committed
James Page (james-page) on 2015-08-10
Changed in nova-compute (Juju Charms Collection):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers